org.eclipse.jetty.security

## Interface ConstraintAware

- All Known Implementing Classes:
    ConstraintSecurityHandler

      public interface ConstraintAware

  Version:
    $Rev: 4466 $ $Date: 2009-02-10 23:42:54 +0100 (Tue, 10 Feb 2009) $

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addConstraintMapping(ConstraintMapping mapping)` Add a Constraint Mapping.
    `void` | `addRole(String role)` Add a Role definition.
    `List<ConstraintMapping>` | `getConstraintMappings()`
    `Set<String>` | `getRoles()`
    `void` | `setConstraintMappings(List<ConstraintMapping> constraintMappings, Set<String> roles)` Set Constraint Mappings and roles.

- - ### Method Detail

    - #### getConstraintMappings

          List<ConstraintMapping> getConstraintMappings()

    - #### getRoles

          Set<String> getRoles()

    - #### setConstraintMappings

          void setConstraintMappings(List<ConstraintMapping> constraintMappings,
                                   Set<String> roles)

      Set Constraint Mappings and roles. Can only be called during initialization.
      Parameters:
        `constraintMappings` -
        `roles` -

    - #### addConstraintMapping

          void addConstraintMapping(ConstraintMapping mapping)

      Add a Constraint Mapping. May be called for running webapplication as an annotated servlet is instantiated.
      Parameters:
        `mapping` -

    - #### addRole

          void addRole(String role)

      Add a Role definition. May be called on running webapplication as an annotated servlet is instantiated.
      Parameters:
        `role` -

Copyright © 1995-2013 Mort Bay Consulting. All Rights Reserved.